QGIS Application - Feature request #15161
Set page size and orientation automatically when printing a map
2016-06-28 12:03 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: up/downstream
Easy fix?: No Copied to github as #: 23100
Description

Is there a way to set the printer driver‘s page size and orientation automatically? Such a feature would be quite useful. | often forget to
change these settings before printing :/

History

#1 - 2016-06-28 12:03 PM - R. R.
- File 15161.png added

#2 - 2016-06-28 12:03 PM - R. R.

https://issues.qgis.org/attachments/10107/15161.png

#3 - 2016-06-28 01:17 PM - Nyall Dawson
- Resolution set to up/downstream
- Status changed from Open to Closed

QGIS tries to by using the Qt printer methods, but it's not always possible (according to the Qt documentation)

#4 - 2016-06-29 01:54 AM - Andreas Neumann

any better with gt5 ?

#5 - 2016-07-01 04:56 AM - R. R.

LibreCAD 2.1.1 (Qt 5.4.1) sets the page size and orientation automatically.

Files

15161.png 189 KB 2016-06-28 R.R.
